<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [getOpponent](./bitburner.go.getopponent.md)

## Go.getOpponent() method

Returns the name of the opponent faction in the current subnet.

**Signature:**

```typescript
getOpponent(): GoOpponent | "No AI";
```
**Returns:**

[GoOpponent](./bitburner.goopponent.md) \| "No AI"

